#ifndef __MYDEFS_H
#define 	__MYDEFS_H

#define 	F_CPU      8000000UL   		//processor clock


#define NOP() asm volatile ("nop" ::)
#define sbi(portn, bitn) 	((portn)|=(1<<(bitn)))
#define cbi(portn, bitn) 	((portn)&=~(1<<(bitn)))

#define 		BUZ_DDR			DDRB
#define			BUZ_PORT		PORTB
#define			BUZZER			0

#define 		Buzzer_on() 	BUZ_PORT |= _BV(BUZZER)
#define 		Buzzer_off() 	BUZ_PORT &= ~_BV(BUZZER)
#include 	<util/delay.h>

#endif //__MYDEFS_H
