#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdarg.h>
#include <string.h>
#include <avr/pgmspace.h>

#include "mydefs.h"
#include "serial.h"

#define RBUFLEN 16 

//-------------------------------------------------------------------------//
SIGNAL(SIG_UART0_RECEIVE)           /* signal handler for receive complete interrupt */
{

}
//-------------------------------------------------------------------------//
SIGNAL(SIG_UART0_TRANSMIT)     /* signal handler for transmit complete interrupt */
{

}
//-------------------------------------------------------------------------//
//-------------------------------------------------------------------------//
//-------------------------------------------------------------------------//
void ser_init(void)
{
   // enable RxD/TxD and ints  
	UART0_CONFIGURE1; // See serial.h
	UART0_CONFIGURE2; // See serial.h

	UART0_BAUD_REGISTER_HIGH=(uint8_t)(UART0_BAUD_SELECT>>8); 	// set baudrate
	UART0_BAUD_REGISTER_LOW=(uint8_t)(UART0_BAUD_SELECT); 		// set baudrate
			
}
